
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[Java Plasterer] Java Components 3：Java Enum / iVAN</title>

    <meta name="description" content="[Java Plasterer] Java Components 3：Java Enum Written In The Font   When we to set some constants for projects, we always use 'public static final'to set Int or String constants.Or sometimes,we can also set the paramters in properties.When the project starts,we can get the properties to use them">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[Java Plasterer] Java Components 3：Java Enum</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>Written In The Font</h1>
<p>  When we to set some constants for projects, we always use ‘public static final’to set Int or String constants.Or sometimes,we can also set the paramters in properties.When the project starts,we can get the properties to use them.Today,we can use Enum (JDK 1.5).</p>
<p>Three pieces:<br /><strong>  1. An Example to Know Enum</strong></p>
<p><strong>  2. How to use EnumSet and EnumMap</strong></p>
<p><strong>  3. Enum Analysis</strong></p>
<h1>An Example to Know Enum</h1>
<p>  Firstly,we use the Enum to implements Operation.</p>
<p><a href="http://www.bysocket.com/?p=84#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27</p>
<p>28</p>
<p>29</p>
<p>30</p>
<p>31</p>
<p>32</p>
<p>33</p>
<p>34</p>
<p>35</p>
<p>36</p>
<p>37</p>
<p>38</p>
<p>39</p>
<p>40</p>
<p>41</p>
<p>42</p>
<p>43</p>
<p>44</p>
<p>45</p>
<p>46
</td>
<td>
<p><code>package org.nsg.jdk.testEnum;</code></p>
<p> </p>
<p><code>/**</code></p>
<p><code> </code><code>* @Description  OperationTest.java</code></p>
<p><code> </code><code>*</code></p>
<p><code> </code><code>* @author BYSocket</code></p>
<p><code> </code><code>* @date 2015-1-8 6:05:59PM</code></p>
<p><code> </code><code>* @version 1.0</code></p>
<p><code> </code><code>*/</code></p>
<p><code>public class OperationTest</code></p>
<p><code>{</code></p>
<p><code>    </code><code>public static void main(String[] args)</code></p>
<p><code>    </code><code>{</code></p>
<p><code>        </code><code>double x = 2.0,y=4.0;</code></p>
<p><code>        </code><code>for (Operation op : Operation.values())</code></p>
<p><code>            </code><code>System.out.printf("%f %s %f = %f%n", x,op,y,op.apply(x, y));</code></p>
<p><code>    </code><code>}</code></p>
<p><code>}</code></p>
<p> </p>
<p><code>enum Operation</code></p>
<p><code>{</code></p>
<p><code>    </code><code>PLUS("+")</code></p>
<p><code>    </code><code>{</code></p>
<p><code>        </code><code>double apply(double x,double y){return x + y;}</code></p>
<p><code>    </code><code>},</code></p>
<p><code>    </code><code>MINUS("-")</code></p>
<p><code>    </code><code>{</code></p>
<p><code>        </code><code>double apply(double x,double y){return x - y;}</code></p>
<p><code>    </code><code>},</code></p>
<p><code>    </code><code>TIMES("*")</code></p>
<p><code>    </code><code>{</code></p>
<p><code>        </code><code>double apply(double x,double y){return x * y;}</code></p>
<p><code>    </code><code>},</code></p>
<p><code>    </code><code>DIVIDE("/")</code></p>
<p><code>    </code><code>{</code></p>
<p><code>        </code><code>double apply(double x,double y){return x / y;}</code></p>
<p><code>    </code><code>};</code></p>
<p><code>    </code> </p>
<p><code>    </code><code>private final String symbol;</code></p>
<p><code>    </code><code>Operation(String symbol){this.symbol = symbol;}</code></p>
<p><code>    </code> </p>
<p><code>    </code><code>@Override </code></p>
<p><code>    </code><code>public String toString(){return symbol;}</code></p>
<p><code>    </code> </p>
<p><code>    </code><code>abstract double apply(double x,double y);</code></p>
<p><code>}</code></p>
</td>
</tr>
</tbody>
</table>
<p>  Run as Java application,we can see the Console.The result shows operations</p>
<p><a href="http://www.bysocket.com/?p=84#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4
</td>
<td>
<p><code>2.000000 + 4.000000 = 6.000000</code></p>
<p><code>2.000000 - 4.000000 = -2.000000</code></p>
<p><code>2.000000 * 4.000000 = 8.000000</code></p>
<p><code>2.000000 / 4.000000 = 0.500000</code></p>
</td>
</tr>
</tbody>
</table>
<p>Q:‘The enum is just like class?’ </p>
<p>A:Yep,I think that Enum is a nice type.So let us know some methods by apis:</p>
<p>1. Firstly,we can make an abstract method ‘apply()’ ,then set in the constant-specific class body. Its called constant-specific method implementation.</p>
<p>2. We can make constructor with fields to make the enum has vales.(Like String or int …)</p>
<p>3. toString() method : Returns the name of this enum constant, as contained in the declaration. This method may be overridden, though it typically isn’t necessary or desirable. An enum type should override this method when a more programmer-friendly string form exists.</p>
<p>4. ‘vales()’ method :to get all enum objects. And ‘getValue()’ can get the enum object’ value.</p>
<p> </p>
<p>Note ‘Its easy to learn how to use.Then learn more and study in depth.’ And in real projects,We can use enums to replace Int or String Enum Pattern.And Enum is also a typesafe enum.</p>
<h1>How to use EnumSet and EnumMap</h1>
<p>  Let us see another example to learn some Sets of Enum.So lets see it:</p>
<p><a href="http://www.bysocket.com/?p=84#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27</p>
<p>28</p>
<p>29</p>
<p>30</p>
<p>31</p>
<p>32</p>
<p>33</p>
<p>34</p>
<p>35</p>
<p>36</p>
<p>37</p>
<p>38</p>
<p>39</p>
<p>40</p>
<p>41</p>
<p>42</p>
<p>43</p>
<p>44</p>
<p>45</p>
<p>46</p>
<p>47
</td>
<td>
<p><code>package org.nsg.jdk.testEnum;</code></p>
<p> </p>
<p><code>import java.util.EnumMap;</code></p>
<p><code>import java.util.EnumSet;</code></p>
<p><code>import java.util.Iterator;</code></p>
<p><code>import java.util.Map.Entry;</code></p>
<p> </p>
<p><code>/**</code></p>
<p><code> </code><code>* @Description  WeekTest.java</code></p>
<p><code> </code><code>*</code></p>
<p><code> </code><code>* @author BYSocket</code></p>
<p><code> </code><code>* @date 2015-1-9 2:55:10PM</code></p>
<p><code> </code><code>* @version 1.0</code></p>
<p><code> </code><code>*/</code></p>
<p><code>public class WeekTest</code></p>
<p><code>{</code></p>
<p><code>    </code><code>public static void main(String[] args)</code></p>
<p><code>    </code><code>{</code></p>
<p><code>        </code><code>EnumSet&lt;</code><code>Week</code><code>&gt; weekSet = EnumSet.allOf(Week.class);</code></p>
<p><code>        </code><code>System.out.println("EnumSet:");</code></p>
<p><code>        </code><code>for (Week w : weekSet)</code></p>
<p><code>            </code><code>System.out.println(w);</code></p>
<p><code>        </code> </p>
<p><code>        </code><code>EnumMap&lt;</code><code>Week</code><code>, String&gt; weekMap = new EnumMap&lt;</code><code>Week</code><code>, String&gt;(Week.class);</code></p>
<p><code>        </code><code>weekMap.put(Week.MON, "星期一");</code></p>
<p><code>        </code><code>weekMap.put(Week.TUE, "星期二");</code></p>
<p><code>        </code><code>weekMap.put(Week.WED, "星期三");</code></p>
<p><code>        </code> </p>
<p><code>        </code><code>System.out.println("EnumMap:");</code></p>
<p><code>        </code><code>for (Iterator&lt;</code><code>Entry</code><code>&lt;Week, String&gt;&gt; iterator = weekMap.entrySet().iterator(); iterator.hasNext();)</code></p>
<p><code>        </code><code>{</code></p>
<p><code>            </code><code>Entry&lt;</code><code>Week</code><code>, String&gt; weekEntry = iterator.next();</code></p>
<p><code>            </code><code>System.out.println(weekEntry.getKey().name()+":"+weekEntry.getValue());</code></p>
<p><code>        </code><code>}</code></p>
<p><code>    </code><code>}</code></p>
<p><code>}</code></p>
<p> </p>
<p><code>enum Week</code></p>
<p><code>{</code></p>
<p><code>    </code><code>MON("1"), TUE("2"), WED("3"), THU("4"), FRI("5"), SAT("6"),SUN("7");</code></p>
<p> </p>
<p><code>    </code><code>private final String symbol;</code></p>
<p><code>    </code><code>Week(String symbol){this.symbol = symbol;}</code></p>
<p><code>    </code> </p>
<p><code>    </code><code>@Override </code></p>
<p><code>    </code><code>public String toString(){return symbol;}</code></p>
<p><code>}</code></p>
</td>
</tr>
</tbody>
</table>
<p>We can see in Console:</p>
<p><a href="http://www.bysocket.com/?p=84#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12
</td>
<td>
<p><code>EnumSet:</code></p>
<p><code>1</code></p>
<p><code>2</code></p>
<p><code>3</code></p>
<p><code>4</code></p>
<p><code>5</code></p>
<p><code>6</code></p>
<p><code>7</code></p>
<p><code>EnumMap:</code></p>
<p><code>MON:星期一</code></p>
<p><code>TUE:星期二</code></p>
<p><code>WED:星期三</code></p>
</td>
</tr>
</tbody>
</table>
<p>Note： EnumSet or EnumMap is easy for we to use.And with them，we can <strong>use enums easily</strong>.</p>
<h1>Enum Analysis</h1>
<p>We use ‘javap -c -private xxx’to know the class:</p>
<p><a href="http://www.bysocket.com/?p=84#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21
</td>
<td>
<p><code>final class org.nsg.jdk.testEnum.Week extends java.lang.Enum&lt;</code><code>org.nsg.jdk.testEnu</code></p>
<p><code>m.Week&gt; {</code></p>
<p><code>  </code><code>public static final org.nsg.jdk.testEnum.Week MON;</code></p>
<p> </p>
<p><code>  </code><code>public static final org.nsg.jdk.testEnum.Week TUE;</code></p>
<p> </p>
<p><code>  </code><code>public static final org.nsg.jdk.testEnum.Week WED;</code></p>
<p> </p>
<p><code>  </code><code>public static final org.nsg.jdk.testEnum.Week THU;</code></p>
<p> </p>
<p><code>  </code><code>public static final org.nsg.jdk.testEnum.Week FRI;</code></p>
<p> </p>
<p><code>  </code><code>public static final org.nsg.jdk.testEnum.Week SAT;</code></p>
<p> </p>
<p><code>  </code><code>public static final org.nsg.jdk.testEnum.Week SUN;</code></p>
<p> </p>
<p><code>  </code><code>private final java.lang.String symbol;</code></p>
<p> </p>
<p><code>  </code><code>private static final org.nsg.jdk.testEnum.Week[] $VALUES;</code></p>
<p> </p>
<p><code>  </code><code>public static org.nsg.jdk.testEnum.Week[] values();</code></p>
</td>
</tr>
</tbody>
</table>
<p>We can see ‘<strong>Enum is a class.just is a cla</strong>ss.’but no extends.</p>
<p> </p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 14:07:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[Java Plasterer] Java Components 3：Java Enum的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlByvnz.html" rel="bookmark">JAVA学习（六）：JAVA中的继承及其常见问题分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JAVA中的继承及其常见问题分析 1.JAVA中继承的定义 JAVA中,类的继承是通过扩展其他类而形成新类来实现的,原来的类称为父类(Super Class)或基类,新的类称为原来类的子类或派生类.在子类中,不仅包含了父类的属性和方法,还可以增加新的属性和方法,从而使得父类的基本特征可被所有子类对象共享. 注:类的继承并不改变类成员的访问权限,也就是说,如果父类的成员是公有的.被保护的或默认的,它的子类仍具有相应的这些特性. /**********************************			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8N8yxb.html" rel="bookmark">java scoket http请求-求教：java socket编程接受HTTP请求出问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求教:java socket编程接受HTTP请求出问题 自己用Java scoket模拟编写接受http请求服务器,在浏览器中输入1次url地址,浏览器却会向服务器发送多次相同请求,这是什么原因? 以下是eclipse控制台打印的结果,可以看到浏览器发送了多次 /1234567890 请求,浏览器中地址栏只输入1次 http://localhost:8080/1234567890 eclipse控制台打印的结果: 初始化线程池,线程池中拥有10个线程可使用 初始化 base-param			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQm6Ep.html" rel="bookmark">&lbrack;Java Plasterer&rsqb; Java Components 4：Java String，How to use them&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Reprint it anywhere u want. Although the world is full of suffering , it is full also of the overcoming of it.  -Hellen Keller   Written In The Font 52. Suggestion:Use the String direct value for the assignment [推荐使用String直接量赋值] 54.  How to use the S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrYrrM.html" rel="bookmark">&lbrack;Java 泥水匠&rsqb; Java Components 之一：Java String （肯定有你不懂的）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 你好 String         怀着初次见你的心情,泥瓦匠和你一起打开JDK1.7文档.我最近想写一些关于JDK1.7的理解,都知道JDK8出来了,新特性我准备下阶段有空学习.         泥瓦匠想说,阅读E文文档有利于体会原汁原味.但毕竟国内大牛翻译的很不错了,咱们不加评判,喜欢哪种自己挑.能抓老鼠,能解决实际项目,适应业务环境的就是你学到了.请看下面的小例子: 清单1.1 String abc = &quot;abc&quot;; char data[] = {'a','b','c'}			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQ8Kzq.html" rel="bookmark">Java集合源码剖析：Java集合框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java集合工具包位于Java.util包下,包含了很多常用的数据结构,如数组.链表.栈.队列.集合.哈希表等.学习Java集合框架下大致可以分为如下五个部分:List列表.Set集合.Map映射.迭代器(Iterator.Enumeration).工具类(Arrays.Collections). Java集合类的整体框架如下: 从上图中可以看出,集合类主要分为两大类:Collection和Map. Collection是List.Set等集合高度抽象出来的接口,它包含了这些集合的基本操作,它主			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgmN5z.html" rel="bookmark">面向Java开发人员的Ajax：Java对象序列化&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|java对象 本文我们讨论 Ajax 开发的基础知识,但是将侧重于许多 Java Web 开发人员最关心的问题:为客户机生成数据. 多数 Java 开发人员已经把模型-视图-控制器(MVC)模式应用在他们的 Web 应用程序上.在传统的 Web 应用程序中,视图组件由 JSP 或者其他表示技术(例如 Velocity 模板)构成. 这些表示组件动态地生成全新的 HTML 页面,替代用户以前正在查看的页面,从而更新用户界面.但是,在 Java Web 应用程序使用 Ajax UI 的情况			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYa2BM.html" rel="bookmark">Java 2源码解读：java&period;util&period;ArrayList</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ArrayList是List接口的一个可变长数组实现.实现了所有List接口的操作,并允许存储null值.除了没有进行同步,ArrayList基本等同于Vector.在Vector中几乎对所有的方法都进行了同步,但ArrayList仅对writeObject和readObject进行了同步,其它比如add(Object).remove(int)等都没有同步. 1.存储ArrayList使用一个Object的数组存储元素.private transient Object elementData[]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEWvY6p.html" rel="bookmark">JAVA学习（三）：Java基础语法（变量、常量、数据类型、运算符与数据类型转换）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java基础语法(变量.常量.数据类型.运算符与数据类型转换) 1.变量 Java中,用户可以通过指定数据类型和标识符来声明变量,其基本语法为: DataType identifier;  或  DataType identifier = value; 其中,DataType是变量类型,如int/string/char/double/boolean等:identifier是变量名称,即标识符:value就是声明变量的值. 注: a.标识符由数字0-9.大小写字母.下划线.美元符号.人民币符号以及			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd6gdxb.html" rel="bookmark">JAVA学习（八）：JAVA文件编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本博文主要介绍JAVA文件编程,主要包括通过JDK提供的I/O来从文件读取和写入数据.字节流读写文件的方法.字符流读写文件的方法.如何使用File类创建.删除和遍历文件与目录等操作. 不管是C/C++还是JAVA,都可能生成一些持久性数据,我们可以将数据存储在文件或数据库中,但是对于一些简单性的数据,如果存储在数据库中,则会显得有点得不偿失了,那么,如何在JAVA中将数据存储在文件中就成了中小型程序必须掌握的基本技能了. 下面一一讲解File类简介与文件的创建.删除.重命名,文件夹的创建.重命名			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOwARz.html" rel="bookmark" class="title">WPS实用教程&colon;画出数学的交集图</a>
					<div>
						在数学中常用两个或多个圆重叠起来的图来表示集合中的交集,也有用重叠的图来更加直观地表示某些条件或事物的叠加.图1所示便是用来表示交集与重叠的图.   图1 表示交集与重叠的图 那么用户怎样才能在WPS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM12w3p.html" rel="bookmark" class="title">PS打造可爱彩色果冻字体</a>
					<div>
						教程向朋友们介绍利用PS打造可爱彩色果冻字体.教程难度不大,喜欢的朋友赶快来学习一下吧!完成效果:   具体制作步骤如下: 1.新建文件,模式RGB(CMYk也可以,只不过颜色不鲜艳) 2.输入文字( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4gRYp.html" rel="bookmark" class="title">不用Global&period;asa也可以实现在线人数统计</a>
					<div>
						统计|在线|在线人数 不使用Global.asa实现在线人数统计 &lt;%sessionID = session.SessionIDtimeout = 5' 设置保持SESSION的时间,你可以增加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRRyVz.html" rel="bookmark" class="title">jquery构建功能型表单（一）</a>
					<div>
						比较常见的表单验证功能 当在网站中使用jQuery时,我们必须时常提醒自己如果用户禁用了 JavaScript,那么页面看起来会怎样.功能是否还健全(当然,除非我们知道用户是谁,而且知道他们会怎样 配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2Yg5p.html" rel="bookmark" class="title">解析一个通过添加本地分区索引提高SQL性能的案例</a>
					<div>
						今天接到同事求助,说有一个select query,在Oracle上要跑一分多钟,他希望能在5s内出结果,以下就是解决这个问题的方法,需要的朋友可以参考下   该sql如下: 复制代码 代码如下: S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrVZdp.html" rel="bookmark" class="title">电脑主板故障总是重启怎么解决</a>
					<div>
						  电脑主板故障总是重启怎么解决 主机开关电源的市电插头松动,接触不良,没有插紧 这种情况,多数都会出现在DIY机器上,主机电源所配的电源线没有经过3C认证,与电源插座不配套.当我们晃动桌子或触摸主机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKBK8M.html" rel="bookmark" class="title">在word文档中如何插入超链接&quest;</a>
					<div>
						  在word文档中如何插入超链接?          1.首先,在word文档中,鼠标在文字中需要超链接的文字 2.鼠标右键单击选择&quot;超链接&quot;,如图; 3.弹出&quot;插入超 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPl9rz.html" rel="bookmark" class="title">Photoshop给外景情侣照片加上灿烂的阳光色教程</a>
					<div>
						图片也是在阳光下拍摄的,只是暖色部分还不够强烈.处理的时候可以适当增加图片的暖色,给图片的高光及中间调部分增加橙黄色,主色确定后再给图片暗部增加一些补色即可. 原图 &lt;点小图查看大图&gt; 最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywdnPz.html" rel="bookmark" class="title">如何让IE每次打开网页不需要刷新都是最新的内容</a>
					<div>
						  打开IE的'Internet选项&quot;,单击中间位置的&quot;浏览历史记录&quot;的设置按钮,在弹出的临时文件窗口,将&quot;检查所存网页的较新版本&quot;选项设置为&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywJovz.html" rel="bookmark" class="title">USB启动模式大集合</a>
					<div>
						  你知道各种U盘启动模式之间的不同之处吗,下面就为你说说这方面的知识: 各种USB启动模式: 1.USB-HDD:(占用1个扇区)硬盘仿真模式,DOS启动后显示C:盘,HP(惠普) U盘格式化工具制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3awOM.html" rel="bookmark" class="title">【苹果】iCloud：开启民用云计算新时代</a>
					<div>
						2011年6月6日,苹果在其全球开发者大会上发布了划时代的新产品--iCloud.这是一整套免费的全新云服务,它可与 iPad.iPhone.iPod touch.Mac 甚至 PC 上的应用程序无缝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAYOOM.html" rel="bookmark" class="title">二进制数据-java从数据库中读取二进制文件并&period;&period;&period;&period;</a>
					<div>
						问题描述 java从数据库中读取二进制文件并.... java从postgresql数据库中读取bytea二进制并且生成文件(如word,pdf文件等)!在jsp页面上显示附件(如邮件形式那样的附件) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRYL6z.html" rel="bookmark" class="title">OpenLayers中长度测量和面积测量等功能的实现</a>
					<div>
						功能要求如下:要求能在给定地图上测量长度和面积.此处实现主要是调用Openlayers接口实现. 一.界面设置 在HTML界面中设置好测量按钮的布局,代码如下图所示: &lt;divclass=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7d3Xz.html" rel="bookmark" class="title">简单的邮件客户端</a>
					<div>
						运行界面如下: 源代码如下:(本程序使用的是Merak mail server) 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6APOb.html" rel="bookmark" class="title">Swift使用CoreLocation，你必须要看这一篇</a>
					<div>
						CoreLocation,在我们这里讨论的是一个最常用的东西,就是用Location Manger获取用户当前的位置. 整个的来说非常简单.只要这样: import CoreLocation 需要使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZELR6p.html" rel="bookmark" class="title">ExtJs之文本框及数字输入</a>
					<div>
						结合HTML来理解, 比较容易. &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;ExtJs&lt;/title&gt; &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZAL5p.html" rel="bookmark" class="title">iOS中UIImageView用法总结</a>
					<div>
						iOS中UIImageView用法总结 - (instancetype)initWithImage:(UIImage *)image; 通过一个图片UIImage对象进行初始化 - (instance ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydEnPb.html" rel="bookmark" class="title">C&num;模拟链表数据结构的实例解析&lowbar;C&num;教程</a>
					<div>
						写在前面 模块化编程是大多数初学者必经之路,然后可能你走向了结构化编程,链表是一种典型结构模式,它的出现克服了数组必须预先知道大小的缺陷,听不懂?你只需要记住,链表结构非常牛叉就可以了,学习这种结构对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZLjdp.html" rel="bookmark" class="title">快报：是时候使用Sophos UTM替换TMG了</a>
					<div>
						在IT 历史上黑客和网络威胁最活跃的时期之一,微软已经悄悄地将其Forefront 威胁管理网关(TMG)带入了一条死胡同.下面涵盖了一些微软的TMG 关键领域,并解释如何用Sophos 的UTM 可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeo9lb.html" rel="bookmark" class="title">淘宝游戏激活码市场过亿专家提醒淘号需慎重</a>
					<div>
						10月27日消息,淘宝网上商城某箱包业务实现销售额过亿的消息,近日再度引发外界对电子商务市场的关注.与此同时,记者在淘宝搜索时还发现,在淘宝网上仍然存在着大量不为人所知但却市场规模庞大的领域,网游激活 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKrv3p.html" rel="bookmark" class="title">函数指针和数组指针的区别，函数指针在结构体中怎么实现排序？</a>
					<div>
						问题描述 函数指针和数组指针的区别,函数指针在结构体中怎么实现排序? 求咨询下,结构体浮点数组的排序,多重条件用函数指针传参数给库函数怎么实现排序呢? 解决方案 参考:http://blog.csdn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeol4AM.html" rel="bookmark" class="title">Design Pattern&colon; Prototype 模式</a>
					<div>
						  学习是分享和合作式的! 转载请注明出处:http://blog.csdn.net/wdzxl198/article/details/9271773: 文章摘自: http://www.riaboo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqvAJp.html" rel="bookmark" class="title">用java编程，求高手指点，急用，我是刚开始学的</a>
					<div>
						问题描述 编写一个程序,类名为CopyFile,实现文件的复制.程序的使用格式为javaCopyFile原文件名目标文件名. 解决方案 解决方案二:googleCopyFile高级搜索找到约4,170 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7lmkz.html" rel="bookmark" class="title">环信管理后台IM用户列表username颜色是什么意思</a>
					<div>
						问题描述 解决方案 绿色表示在线,灰色表示不在线.状态需要手动刷新.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22v33b.html" rel="bookmark" class="title">急求从两张数据表中抽取个别列，查询后组合成一张新表，如何做？</a>
					<div>
						问题描述 A表包含字段ABCDB表包含EFC表字段ABCDEF从winform上查询完A表和B表的数据之后,选择某条A和某条B点击按钮生成一条新的C表数据如何操作代码怎么样 解决方案 解决方案二:数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZELWz.html" rel="bookmark" class="title">用JavaScript和注册表脚本实现右键收藏Web页选中文本&lowbar;javascript技巧</a>
					<div>
						前两天在网上发现一个很好的站点,是用来做资料收藏的(http://wolf.360doc.com).    这个网站提供了这么一个功能,可以直接将你选中的文字收藏起来,当时觉得很神奇的.后来研究了一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q8Oap.html" rel="bookmark" class="title">mysql增加新用户无法登陆解决方法&lowbar;Mysql</a>
					<div>
						今天安装openstack folsom版本,安装完mysql,为各个服务增加对应的数据库和用户后,发现 无法使用新增的用户登陆mysql.我增加用户的方法如下: mysql -uroot -p$MY ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0qkNp.html" rel="bookmark" class="title">ASP&period;NET数据绑定之DataList控件实战篇&lowbar;实用技巧</a>
					<div>
						上篇文章大概讲了DataList的一些基础知识,掌握这些知识在将来的应用中起到很大的作用,现在我们就开始讲上篇文章中说的基础知识做一个小例子.     首先,我机子的数据库中有一张person表,如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLDvDM.html" rel="bookmark" class="title">javascript之典型高阶函数应用介绍二&lowbar;javascript技巧</a>
					<div>
						前言 在前一篇文章javascript之典型高阶函数中主要实现了几个典型的functional函数.文章最后也提出了疑问,为啥那样的实现与F#之类的函数式语言&quot;不太一样&quot;呢?今天来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1ZkvM.html" rel="bookmark" class="title">《关云长》发布会甄子丹回应身高争论&lpar;组图&rpar;</a>
					<div>
						新浪娱乐讯 6月30日,刚刚杀青的电影&lt;关云长&gt;举办首次发布会.导演麦兆辉.庄文强携主演甄子丹.孙俪.王学兵.邵兵等人出席.有媒体质疑甄子丹的身高比关羽矮许多,甄子丹笑着回应,&quot; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.040 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
